diff --git a/fuzz/CMakeLists.txt b/fuzz/CMakeLists.txt
index ee54fa74..fbcba889 100644
--- a/fuzz/CMakeLists.txt
+++ b/fuzz/CMakeLists.txt
@@ -127,6 +127,7 @@ set(CORPUS_OTHER
   69977a.fuzz
   69977b.fuzz
   69977c.fuzz
+  69977d.fuzz
   70055.fuzz
   70245.fuzz
   70306.fuzz
diff --git a/fuzz/qtest/fuzz.test b/fuzz/qtest/fuzz.test
index c1e8ecb7..da6f857b 100644
--- a/fuzz/qtest/fuzz.test
+++ b/fuzz/qtest/fuzz.test
@@ -21,7 +21,7 @@ my @fuzzers = (
     ['pngpredictor' => 1],
     ['runlength' => 6],
     ['tiffpredictor' => 2],
-    ['qpdf' => 72],             # increment when adding new files
+    ['qpdf' => 73],             # increment when adding new files
     );
 
 my $n_tests = 0;
